Wordpress 3.5
[autoinstalls/wordpress.git] / wp-admin / load-scripts.php
index 8cdb9f7ee058fb9e41819d5c11dccf0e6ff6ce4e..4d185ed53627751e83decc4f402a12a72f9b8867 100644 (file)
@@ -114,7 +114,11 @@ function get_file($path) {
        return @file_get_contents($path);
 }
 
-$load = preg_replace( '/[^a-z0-9,_-]+/i', '', $_GET['load'] );
+$load = $_GET['load'];
+if ( is_array( $load ) )
+       $load = implode( '', $load );
+
+$load = preg_replace( '/[^a-z0-9,_-]+/i', '', $load );
 $load = explode(',', $load);
 
 if ( empty($load) )
@@ -125,7 +129,7 @@ require(ABSPATH . WPINC . '/version.php');
 
 $compress = ( isset($_GET['c']) && $_GET['c'] );
 $force_gzip = ( $compress && 'gzip' == $_GET['c'] );
-$expires_offset = 31536000;
+$expires_offset = 31536000; // 1 year
 $out = '';
 
 $wp_scripts = new WP_Scripts();